## org.eclipse.datatools.enablement.ase.catalog
Class ASEUtil

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.ASEUtil

    public class ASEUtil

extends java.lang.Object

Field Summary
`static java.lang.String` `PERMISSION_DELETE_ACTION`
`static java.lang.String` `PERMISSION_EXECUTE_ACTION`
`static java.lang.String` `PERMISSION_INSERT_ACTION`
`static java.lang.String` `PERMISSION_OTHER_ACTION`
`static java.lang.String` `PERMISSION_REFERENCE_ACTION`
`static java.lang.String` `PERMISSION_SELECT_ACTION`
`static java.lang.String` `PERMISSION_UPDATE_ACTION`
`static java.util.List` `SYSTEM_DEFINED_SEGMENTS`
`static java.lang.String` `VERSION_12503`
`static java.lang.String` `VERSION_1253`
`static java.lang.String` `VERSION_15`

Constructor Summary
`ASEUtil()`

Method Summary
`static java.lang.Object` `findSP(java.util.Collection list, java.lang.String name, int number)`
`static java.lang.String` `getFullQuatifiedName(SQLObject obj)`
`static SQLObject` `getSQLObject(java.util.Collection sqlObjs, java.lang.String objName)`
`static SQLObject` `getSQLObject(java.util.Collection sqlObjs, java.lang.String objName, org.eclipse.emf.ecore.EClass clazz)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMISSION_DELETE_ACTION

    public static final java.lang.String PERMISSION_DELETE_ACTION

See Also:
  Constant Field Values

### PERMISSION_INSERT_ACTION

    public static final java.lang.String PERMISSION_INSERT_ACTION

See Also:
  Constant Field Values

### PERMISSION_REFERENCE_ACTION

    public static final java.lang.String PERMISSION_REFERENCE_ACTION

See Also:
  Constant Field Values

### PERMISSION_SELECT_ACTION

    public static final java.lang.String PERMISSION_SELECT_ACTION

See Also:
  Constant Field Values

### PERMISSION_UPDATE_ACTION

    public static final java.lang.String PERMISSION_UPDATE_ACTION

See Also:
  Constant Field Values

### PERMISSION_EXECUTE_ACTION

    public static final java.lang.String PERMISSION_EXECUTE_ACTION

See Also:
  Constant Field Values

### PERMISSION_OTHER_ACTION

    public static final java.lang.String PERMISSION_OTHER_ACTION

See Also:
  Constant Field Values

### VERSION_15

    public static final java.lang.String VERSION_15

See Also:
  Constant Field Values

### VERSION_1253

    public static final java.lang.String VERSION_1253

See Also:
  Constant Field Values

### VERSION_12503

    public static final java.lang.String VERSION_12503

See Also:
  Constant Field Values

### SYSTEM_DEFINED_SEGMENTS

    public static final java.util.List SYSTEM_DEFINED_SEGMENTS

Constructor Detail

### ASEUtil

    public ASEUtil()

Method Detail

### findSP

    public static java.lang.Object findSP(java.util.Collection list,
                                          java.lang.String name,
                                          int number)

### getFullQuatifiedName

    public static java.lang.String getFullQuatifiedName(SQLObject obj)

### getSQLObject

    public static SQLObject getSQLObject(java.util.Collection sqlObjs,
                                         java.lang.String objName)

### getSQLObject

    public static SQLObject getSQLObject(java.util.Collection sqlObjs,
                                         java.lang.String objName,
                                         org.eclipse.emf.ecore.EClass clazz)